services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  Tigris\ContactBundle\EventListener\:
    resource: '../src/EventListener/*'

  Tigris\ContactBundle\Repository\:
    resource: '../src/Repository/*'

  Tigris\ContactBundle\Controller\:
    resource: '../src/Controller/'

when@dev:
  services:
    Tigris\ContactBundle\Fixtures\MessageFixtures:
      tags: [doctrine.fixture.orm]

when@test:
  services:
    Tigris\ContactBundle\Fixtures\MessageFixtures:
      tags: [doctrine.fixture.orm]